Imports GrapeCity.ActiveReports 
Imports GrapeCity.ActiveReports.Document

Public Class subrptBriefSDL_VERAGCARD
    Public sqlStr = ""


    Sub New(sqlStr)

        ' Dieser Aufruf ist für den Designer erforderlich.
        InitializeComponent()

        ' Fügen Sie Initialisierungen nach dem InitializeComponent()-Aufruf hinzu.
        Me.sqlStr = sqlStr
    End Sub
    Private Sub subrptAuswertungUeberfaelligeBestellungen_ReportStart(sender As Object, e As EventArgs) Handles MyBase.ReportStart

        Dim kundenSQL As New kundenSQL
        Me.DataSource = kundenSQL.loadDgvBySql(sqlStr, "SDL")

    End Sub

    Dim dummycount As Integer = 0
    Private Sub Detail1_Format(sender As System.Object, e As System.EventArgs) Handles Detail.Format

        dummycount = dummycount + 1
        lblNr.Text = dummycount
        lblLKWKz.Text = cSqlDb.checkNullStr(Fields.Item("KfzKennzeichen").Value)
        '  lblBestellDat.Text = cSqlDb.checkNullDate(Fields.Item("Bestelldatum").Value).ToShortDateString
        '  lblLieferDat.Text = cSqlDb.checkNullDate(Fields.Item("Lieferdatum").Value).ToShortDateString
        lblOBUId.Text = cSqlDb.checkNullStr(Fields.Item("OBUID").Value)
        lblKartenNr.Text = cSqlDb.checkNullStr(Fields.Item("KartenNr").Value)


        'Abwechselnd grauen und weißen Hintergrund
        If (dummycount Mod 2) = 0 Then
            Detail.BackColor = Color.White
        Else
            Detail.BackColor = Color.FromArgb(250, 250, 250)
        End If
    End Sub



End Class
